Bug 433906 - yum-updatesd does not emit via email
yum-updatesd does not emit via email
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 21:30 EST by Marcin Struzak
Modified: 2008-05-14 14:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 14:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Struzak 2008-02-21 21:30:33 EST
Description of problem:

yum-updatesd does not send notification emails despite the fact that it is 
configured to do that.  Below is the contents of /etc/yum/yum-updatesd.conf

 [main]
 # how often to check for new updates (in seconds)
 # 259200s = 3d
 run_interval = 3600
 # how often to allow checking on request (in seconds)
 updaterefresh = 600

 # how to send notifications (valid: dbus, email, syslog)
 emit_via = email
 email_to = root
 email_from = root

 # automatically install updates
 do_update = no
 # automatically download updates
 do_download = no
 # automatically download deps of updates
 do_download_deps = no



Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc7
yum-updatesd-3.2.8-2.fc7



How reproducible:

At will.

Steps to Reproduce:
1. Verify email from root to root functions.
2. Set up yum-updatesd.conf as set above (make run_interval = 600 for testing)
3. Run yum check-update to verify that there actually are packets to be updated
3. Start yum-updatesd
4. Wait...
  
Actual results:
Nothing is received.  

Expected results:
E-mail received at intervals specified.

Additional info:
Comment 1 James Ralston 2008-02-26 17:21:15 EST
The problem is that the yum-updatesd program in Fedora 7 (and, alas, RHEL5) is
very... inflexible... when it comes to notifications via email.

Specifically, the F7 yum-updatesd code uses an SMTP instance from the smtplib
Python module, but doesn't allow you to customize the host/port in
yum-updatesd.conf.  Because the SMTP instance defaults to localhost:25, if no
SMTP daemon is listening on port 25 of localhost, yum-updatesd silently fails to
send mail.  (At least, from my read of the code, if there's an SMTP listen on
port 25 of localhost, I think it should work.  I honestly haven't tried.)

So, if you don't have an SMTP listener, you're out of luck; yum-updatesd in
Fedora 7 doesn't know how to submit mail messages by invoking a command-line
sendmail.

In Fedora 8, yum-updatesd was forked into a separate package, and many of its
egregious problems were fixed: email notifications will actually work without an
SMTP listener, it no longer wakes up 100 times per second (!), it doesn't hold
TCP sockets open in CLOSE_WAIT forever, etc.

IMHO, pre-F8 yum-updatesd is simply too buggy to use.  If you can't update to
F8, I'd simply stick a "yum check-update" cron job into cron.daily, and turn off
yum-updatesd.

Jeremy, is there any realistic hope of backporting the fixed yum-updatesd from
F8 to F7 or (even better) RHEL5?  (I care much more about RHEL5 than F7, but
since RHEL5 has yum-3.0.1, that might not be trivial...)
Comment 2 James Antill 2008-02-26 18:24:40 EST
 A new yum/yum-updatesd is planned for RHEL-5.2, so that should solve the RHEL
problem.
Comment 3 James Ralston 2008-02-26 19:49:57 EST
Excellent.
Comment 4 Marcin Struzak 2008-02-26 23:56:06 EST
An investigation of how exactly the SMTP server on localhost:25 behaved (using 
telnet), it was found that a no-domain MAIL FROM: identifier was not accepted.  
Fixed the issue by changing in /etc/yum/yum-updatesd.conf

        email_from = root

to

        email_from = root@localhost

The e-mail message however is so bland, that I will revert to what was 
suggested earlier: a yum check-updates in cron.weekly.  It seems that yum-
updatesd in FC8 has a much sexier message, with an actual list of packages that 
could be updated.  Any chance that it would be ported back to FC7?
Comment 5 Bug Zapper 2008-05-14 11:20:44 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 James Ralston 2008-05-14 14:25:50 EDT
There's no sense in backporting to Fedora 7 now, and this should be fixed in
RHEL 5.2.  I'd suggest closing with CURRENTRELEASE or NEXTRELEASE...

Note You need to log in before you can comment on or make changes to this bug.